List orders
curl --request GET \
--url https://api.worm.wtf/orders/import requests
url = "https://api.worm.wtf/orders/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.worm.wtf/orders/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"pubkey": "5uA9kQ1dM8rT4yW2nB7cF3pL6zX0vH5sJ2eR9tQ4mNp",
"status": "open",
"side": "buy",
"price": "0.68",
"amount": "120.000000",
"remaining_amount": "120.000000",
"filled_amount": "0.000000",
"funds": null,
"remaining_funds": null,
"filled_funds": null,
"market": {
"condition_id": "7n9G9WfQ2V7d6hM3XK8pQ4LwR2eY6aT1uJ5cB8mN3qPz",
"title": "Will the Atlanta Hawks beat the New York Knicks in the NBA game on April 28, 2026?"
},
"outcome": {
"is_yes": true,
"text": "New York Knicks"
}
}
],
"meta": {
"limit": 50,
"next_cursor": "eyJiZWZvcmVfaWQiOjEyMzQ1fQ"
},
"error": null
}
{
"data": null,
"meta": null,
"error": {
"code": -11,
"slug": "invalid_request_params",
"message": "Validation Error",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -12,
"slug": "authentication_failed",
"message": "Invalid signature",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -14,
"slug": "permission_denied",
"message": "You do not have permission to perform this action.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -17,
"slug": "throttled",
"message": "Request was throttled.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -3,
"slug": "internal_error",
"message": "An internal error occurred.",
"details": []
}
}
Orders
List orders
Retrieve your orders with optional status and market filters.
GET
/
orders
/
List orders
Query Parameters
string
Filter orders by market condition id.
string
Comma-separated order statuses (case-insensitive). Each value must be one of
open, partially_filled, filled, canceled, partially_filled_canceled, waiting_to_sign, expired, failed.boolean
When set, filter to YES (
true) or NO (false) outcome orders.string
Filter by side:
buy or sell (same wire values as the side field on order rows).integer
default:"50"
Number of records to return. Range: 1-100.
string
Cursor from
meta.next_cursor (before_id keyset pagination).Response
array
Order rows for authenticated user.
Show Data fields
Show Data fields
string | null
Order public key.
string | null
Lowercase order status name:
open, partially_filled, filled, canceled, partially_filled_canceled, waiting_to_sign, expired, or failed.string
buy or sell (lowercase).string | null
Order price.
string | null
Order amount.
string | null
Remaining order size (non-market orders).
string | null
Filled size so far (non-market orders).
string | null
Total funds (market orders).
string | null
Remaining funds (market orders).
string | null
Filled funds (market orders).
object
Market reference.
object
Outcome reference.
object | null
Pagination for this list:
limit and next_cursor. See Pagination. On error responses, meta is null.object | null
null on success. Error object on failed requests.{
"data": [
{
"pubkey": "5uA9kQ1dM8rT4yW2nB7cF3pL6zX0vH5sJ2eR9tQ4mNp",
"status": "open",
"side": "buy",
"price": "0.68",
"amount": "120.000000",
"remaining_amount": "120.000000",
"filled_amount": "0.000000",
"funds": null,
"remaining_funds": null,
"filled_funds": null,
"market": {
"condition_id": "7n9G9WfQ2V7d6hM3XK8pQ4LwR2eY6aT1uJ5cB8mN3qPz",
"title": "Will the Atlanta Hawks beat the New York Knicks in the NBA game on April 28, 2026?"
},
"outcome": {
"is_yes": true,
"text": "New York Knicks"
}
}
],
"meta": {
"limit": 50,
"next_cursor": "eyJiZWZvcmVfaWQiOjEyMzQ1fQ"
},
"error": null
}
{
"data": null,
"meta": null,
"error": {
"code": -11,
"slug": "invalid_request_params",
"message": "Validation Error",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -12,
"slug": "authentication_failed",
"message": "Invalid signature",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -14,
"slug": "permission_denied",
"message": "You do not have permission to perform this action.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -17,
"slug": "throttled",
"message": "Request was throttled.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -3,
"slug": "internal_error",
"message": "An internal error occurred.",
"details": []
}
}